Bug 182519 - Have elfutil also search /lib/modules/`uname -r`/build/vmlinux
Summary: Have elfutil also search /lib/modules/`uname -r`/build/vmlinux
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: elfutils   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-22 23:23 UTC by William Cohen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 21:14:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add /lib/modules/`uname -r`/build/vmlinux to places to check (555 bytes, patch)
2006-06-20 19:48 UTC, William Cohen
no flags Details | Diff

Description William Cohen 2006-02-22 23:23:29 UTC
Description of problem:


SystemTap uses elfutils to find the kernel information. The current set of paths
searched works fine for stock RPMs installed:

- systemtap looks for the debug info in these locations:
  /boot/vmlinux-`uname -r`
  /usr/lib/debug/lib/modules/`uname -r`/vmlinux
  /lib/modules/`uname -r`/vmlinux


However, for locally built custombuild kernels elfutils should also check in
/lib/modules/`uname -r`/build/vmlinux

Version-Release number of selected component (if applicable):

elfutils-0.119


How reproducible:

Always

Steps to Reproduce:
1. Build kernel locally, e.g. make
2. Install kernel, "make modules_install install"
3. Boot locally built kernel
4. Uses systemtap to attempt to place probe in kernel
  
Actual results:

systemtap can't find vmlinux file

Expected results:

systemtap finds vmlinux and instruments kernel

Additional info:

Comment 1 William Cohen 2006-06-20 19:48:24 UTC
Created attachment 131219 [details]
add /lib/modules/`uname -r`/build/vmlinux to places to check

Comment 2 Roland McGrath 2006-07-12 21:14:35 UTC
The right fix is for systemtap to use more customized interfaces.



Note You need to log in before you can comment on or make changes to this bug.